Subject: Re: bug#27056: 25.2; goto-line doesn't default to current line when used interactively when the cursor isn't over a number

From: Eli Zaretskii <[email-masked]>
Date: Sat, 27 May 2017 16:13:34 +0300

> Date: Wed, 24 May 2017 11:19:37 +0000
> From: [email-masked]
> 
> When I press M-x goto-line, it asks me for a line number.  There used to
> be a default line number, which is the current line number before
> a5dcc929862f6727c71db5e45d8750f8c322c53b.  It looks like he forgot to
> remove the empty elements when calling `read-from-minibuffer' from
> `read-number'.

Sorry, I don't think I understand the problem.  AFAIU, the default was
taken from the number at point, if any, when the command is invoked.
So I tried this:

  emacs -Q
  Type "2" and then move point back so the cursor is on "2"
  M-g M-g

This prompts in the echo area:

  Goto line (default 2): 

OTOH, if cursor isn't over a number, I get no default at all, even if
I try Emacs versions before that change, like Emacs 23.1 and 23.2 (or
even 22.1).

So it looks like the feature works as expected.  What am I missing?